<template>
    <v-dialog
        v-model="editDialog"
        scrollable
        persistent :overlay="false"
        max-width="500px"
        min-width="350px"
        transition="dialog-transition"
    >
        <v-btn dark accent slot="activator">
            Edit Date
        </v-btn>
        <v-card>
            <v-container>
                <v-layout row wrap>
                    <v-flex xs12>
                        <v-card-title>
                            Edit Matchmaking Date
                        </v-card-title>
                    </v-flex>
                </v-layout>
                <v-divider></v-divider>
                <v-layout row wrap>
                    <v-flex xs12>
                        <v-date-picker v-model="editableDate" style="width: 100%" actions>
                            <template slot-scope="{save, cancel}">
                                <v-btn
                                class="blue--text darken-1"
                                flat
                                @click.native="editDialog = false">Close</v-btn>
                                <v-btn
                                class="blue--text darken-1"
                                flat
                                @click.native="onSaveChanges">Save</v-btn>
                            </template>
                        </v-date-picker>
                    </v-flex>
                </v-layout>
            </v-container>
        </v-card>
    </v-dialog>
</template>

<script>
export default {
    props: ['matchmaking'],
    data () {
        return {
            editDialog: false,
            editableDate: this.matchmaking.date,
        }
    },
    methods: {
        onSaveChanges () {
            this.$store.dispatch('updateMatchmakingData', {
                id: this.matchmaking.id,
                date: this.editableDate
            })
        }
    },
}
</script>
